Skip to main content
POST
/
api
/
v1
/
notes
Create a new note.
curl --request POST \
  --url https://api.backside.app/api/v1/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "body": "<string>",
  "metadata": "<unknown>",
  "notebook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tags": [
    "<string>"
  ]
}
'
{
  "body": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_archived": true,
  "is_pinned": true,
  "metadata": "<unknown>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z",
  "notebook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_url": "<string>",
  "word_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
title
string
required
body
string | null
metadata
any
notebook_id
string<uuid> | null
tags
string[] | null

Response

201 - application/json

Note created

body
string
required
created_at
string<date-time>
required
id
string<uuid>
required
is_archived
boolean
required
is_pinned
boolean
required
metadata
any
required
tenant_id
string<uuid>
required
title
string
required
updated_at
string<date-time>
required
deleted_at
string<date-time> | null
notebook_id
string<uuid> | null
source_url
string | null
word_count
integer<int32> | null